using System;
using System.Collections.Generic;
using System.Threading.Tasks;
using Newtonsoft.Json;


namespace isn
{
   
    partial class Program
    {
         public static List<PushReport> PushPkg(IEnumerable<string> pkgs)
        {
            List<PushReport> pushReports = new List<PushReport>();

            foreach (string pkg in pkgs)
            {
                var report = PushCommand.Run(pkg, CurrentSource, apiKey);
                Console.WriteLine(report.ToDoc());
                pushReports.Add(report);
            }
            if (storApiKey)
            {
                EnsureKeyStored();
            }
            return pushReports;
        }
     
        private static object Add(IEnumerable<string> str)
        {
            throw new NotImplementedException();
        }
        
    }
}